/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// $Id: IWriteAlignmentConditionsTool.h,v 1.0 2014-10-03 12:00:00 wouter Exp $
#ifndef AlIGNMENTINTERFACES_IWRITEALIGNMENTCONDITIONSTOOL
#define AlIGNMENTINTERFACES_IWRITEALIGNMENTCONDITIONSTOOL

// Include files
// from STL
#include <string>

// from Gaudi
#include "GaudiKernel/IAlgTool.h"

// from AlignKernel
#include "AlignKernel/AlMat.h"
#include "AlignKernel/AlSymMat.h"
#include "AlignKernel/AlVec.h"

static const InterfaceID IID_IWriteAlignmentConditionsTool( "IWriteAlignmentConditionsTool", 1, 0 );

/** @class IWriteAlignmentConditionsTool
 *
 *
 *  @author Wouter Hulsbergen
 *  @date   2014-10-03
 */

class IWriteAlignmentConditionsTool : virtual public IAlgTool {
public:
  // Return the interface ID
  static const InterfaceID& interfaceID() { return IID_IWriteAlignmentConditionsTool; }

  virtual StatusCode write() const = 0;

  virtual StatusCode write( const std::string& versiontag ) const = 0;
};
#endif
