###############################################################################
# (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
###############################################################################
# File for running alignment with D* reconstructed from HLT sel reports
###############################################################################
# Syntax is:
#   gaudiiter.py Escher-AlignHltJpsi.py <someDataFiles>.py
###############################################################################

from Configurables import Escher

# Just instantiate the configurable...
theApp = Escher()
theApp.DataType = "2011"
theApp.InputType = "MDF"
theApp.PrintFreq = 10
theApp.EvtMax = 200
theApp.DatasetName = 'AlignHltDstarWithD0'

# COND DB
theApp.DDDBtag = 'dddb-20130111'
theApp.CondDBtag = 'cond-20130114'

# specify the input to the alignment
from Configurables import TAlignment
from TAlignment.ParticleSelections import defaultHLTDstarSelection
TAlignment().ParticleSelections = [defaultHLTDstarSelection()]
from TAlignment.TrackSelections import NoPIDTracksFromHlt
TAlignment().TrackSelections = [NoPIDTracksFromHlt()]

# specify what we actually align for
from TAlignment.AlignmentScenarios import *
configure2012DataAlignment()
