/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef TALIGNMENT_ALELEMENTHISTOS_H
#define TALIGNMENT_ALELEMENTHISTOS_H

#include <cstddef>

namespace AIDA {
  class IHistogram1D;
  class IHistogram2D;
} // namespace AIDA
class AlignmentElement;
struct GaudiHistoAlg;

struct AlElementHistos {
  AlElementHistos( GaudiHistoAlg& parent, const AlignmentElement& elem, std::size_t niter );
  void                reset();
  AIDA::IHistogram2D* m_resHisto;
  AIDA::IHistogram2D* m_unbiasedResHisto;
  AIDA::IHistogram2D* m_pullHisto;
  AIDA::IHistogram1D* m_nHitsHisto;
  //   AIDA::IHistogram1D* m_deltaTxHisto;
  //   AIDA::IHistogram1D* m_deltaTyHisto;
  //   AIDA::IHistogram1D* m_deltaTzHisto;
  //   AIDA::IHistogram1D* m_deltaRxHisto;
  //   AIDA::IHistogram1D* m_deltaRyHisto;
  //   AIDA::IHistogram1D* m_deltaRzHisto;
  AIDA::IHistogram2D* m_autoCorrHisto;
  AIDA::IHistogram1D* m_residualPullHistos[6];
};

#endif
