/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#pragma once

#include "AlignKernel/AlEquations.h"
#include "AlignKernel/AlSymMat.h"
#include "AlignKernel/AlVec.h"
#include "GaudiKernel/IAlgTool.h"
#include "IGetElementsToBeAligned.h"

namespace Al {
  struct IAlignConstraintTool : public extend_interfaces<IAlgTool> {
    DeclareInterfaceID( IAlignConstraintTool, 2, 0 );

    typedef IGetElementsToBeAligned::Elements Elements;

    virtual size_t addConstraints( const Elements& elements, const Al::Equations& equations, AlVec& halfDChi2DAlpha,
                                   AlSymMat& halfD2Chi2DAlpha2 ) const = 0;

    virtual void printConstraints( const AlVec& parameters, const AlSymMat& covariance,
                                   std::ostream& logmessage ) const = 0;
  };
} // namespace Al
