/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef TALIGNMENT_ITRACKRESIDUALTOOL_H
#define TALIGNMENT_ITRACKRESIDUALTOOL_H

#include "AlResiduals.h"
#include "Event/Track.h"
#include "GaudiKernel/IAlgTool.h"
namespace LHCb {}

namespace Al {
  struct ITrackResidualTool : public extend_interfaces<IAlgTool> {
    DeclareInterfaceID( ITrackResidualTool, 2, 0 );
    // the only method
    virtual const Al::TrackResiduals* get( const LHCb::Track& track ) const = 0;
    // and just another one, temporarily
    virtual void clearCache() const = 0;
  };
} // namespace Al

#endif
