/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#pragma once

#include "AlResiduals.h"
#include "Event/Track.h"
#include "GaudiKernel/IAlgTool.h"
namespace LHCb {
  class RecVertex;
  class Particle;
} // namespace LHCb

namespace Al {

  struct IVertexResidualTool : public extend_interfaces<IAlgTool> {
    DeclareInterfaceID( IVertexResidualTool, 2, 0 );

    // the only method
    using ReturnType = std::unique_ptr<const Al::MultiTrackResiduals>;
    // process a vertex (primary vertex of twoprongvertex)
    virtual ReturnType get( const LHCb::RecVertex& vertex ) const = 0;
    // process a particle. this applies a mass constraint.
    virtual ReturnType get( const LHCb::Particle& p ) const = 0;
  };
} // namespace Al
